Gecode::Int::IntTraceView Class Reference

Duplicate of an integer view. More...

`#include <int-trace-view.hpp>`

## Public Member Functions

| IntTraceView (void)
| Default constructor (initializes with no view).
| IntTraceView (Space &home, IntView y)
| Duplicate view y.
RangeList * | ranges (void) const
| Give access to ranges.
void | prune (Space &home, IntView y, const Delta &d)
| Update duplicated view from view y and modification delta d.
void | update (Space &home, IntTraceView x)
| Update during cloning.

## Static Public Member Functions

static unsigned long long int | slack (IntView x)
| Return slack measure.

## Protected Attributes

RangeList * | dom
| Ranges capturing the variable domain.

## Detailed Description

Duplicate of an integer view.

Definition at line 37 of file int-trace-view.hpp.

## Constructor & Destructor Documentation

## IntTraceView() [1/2]

Gecode::Int::IntTraceView::IntTraceView | ( | void |  | ) |

inline

Default constructor (initializes with no view).

Definition at line 57 of file int-trace-view.hpp.

## IntTraceView() [2/2]

Gecode::Int::IntTraceView::IntTraceView | ( | Space & | home,
|  | IntView | y )

inline

Duplicate view y.

Definition at line 60 of file int-trace-view.hpp.

## Member Function Documentation

## ranges()

RangeList * Gecode::Int::IntTraceView::ranges | ( | void |  | ) | const

inline

Give access to ranges.

Definition at line 66 of file int-trace-view.hpp.

## prune()

void Gecode::Int::IntTraceView::prune | ( | Space & | home,
|  | IntView | y,
|  | const Delta & | d )

inline

Update duplicated view from view y and modification delta d.

Definition at line 71 of file int-trace-view.hpp.

## update()

void Gecode::Int::IntTraceView::update | ( | Space & | home,
|  | IntTraceView | x )

inline

Update during cloning.

Definition at line 109 of file int-trace-view.hpp.

## slack()

unsigned long long int Gecode::Int::IntTraceView::slack | ( | IntView | x | ) |

inline static

Return slack measure.

Definition at line 115 of file int-trace-view.hpp.

## Member Data Documentation

## dom

RangeList* Gecode::Int::IntTraceView::dom

protected

Ranges capturing the variable domain.

Definition at line 40 of file int-trace-view.hpp.

The documentation for this class was generated from the following file:

- gecode/int/trace/int-trace-view.hpp